package com.antai.sport.http.server.server.api.business.teamtraining.mapper;

import com.antai.sport.http.server.server.api.business.teamtraining.dto.TeamTrainingForListResponseDTO;
import com.antai.sport.http.server.server.api.business.teamtraining.dto.TeamTrainingRankDTO;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

public interface TeamTrainingBusinessMapper {
    List<TeamTrainingForListResponseDTO> getUnFinishedTeamTrainingForUser(@Param("userId") Long userId, @Param("now") LocalDateTime now);

    List<TeamTrainingForListResponseDTO> getUnFinishedTeamTrainingForServer(@Param("now") LocalDateTime now);

    List<Long> getRegisterList(@Param("teamTrainingId") Long teamTrainingId);

    List<TeamTrainingRankDTO> getTrainingRank(@Param("teamTrainingId") Long teamTrainingId);
}
